Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::EMSA_Raw Class Referencefinal

`#include <emsa_raw.h>`

Inheritance diagram for Botan::EMSA_Raw:

## Public Member Functions
EMSA * | clone () override

## Detailed Description

EMSA-Raw - sign inputs directly Don't use this unless you know what you are doing.

Definition at line 19 of file emsa_raw.h.

## Member Function Documentation

EMSA* Botan::EMSA_Raw::clone | ( |  | ) |
| inline override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 22 of file emsa_raw.h.

22 { return new EMSA_Raw(); }

The documentation for this class was generated from the following files:

- src/lib/pk_pad/emsa_raw/emsa_raw.h
- src/lib/pk_pad/emsa_raw/emsa_raw.cpp